summaryrefslogtreecommitdiffstats
path: root/network/pydio-sync
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2014-01-21 23:20:20 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-01-29 23:21:10 -0600
commitd648077be5c29f8dbd607e34bd04cbf9c22c307d (patch)
tree62724632f2ec50353e5f74b441b5a73b986f8ad8 /network/pydio-sync
parent74592f172cf2689c713778e797972e93b25c7bf1 (diff)
downloadslackbuilds-d648077be5c29f8dbd607e34bd04cbf9c22c307d.tar.gz
slackbuilds-d648077be5c29f8dbd607e34bd04cbf9c22c307d.tar.xz
network/pydio-sync: Added (desktop sync client for Pydio).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/pydio-sync')
-rw-r--r--network/pydio-sync/README7
-rw-r--r--network/pydio-sync/doinst.sh9
-rw-r--r--network/pydio-sync/pydio-sync.SlackBuild92
-rw-r--r--network/pydio-sync/pydio-sync.desktop10
-rw-r--r--network/pydio-sync/pydio-sync.info10
-rw-r--r--network/pydio-sync/pydio-sync_32x32.pngbin0 -> 806 bytes
-rw-r--r--network/pydio-sync/slack-desc19
7 files changed, 147 insertions, 0 deletions
diff --git a/network/pydio-sync/README b/network/pydio-sync/README
new file mode 100644
index 0000000000..4431891fcc
--- /dev/null
+++ b/network/pydio-sync/README
@@ -0,0 +1,7 @@
+Pydio Sync is a Dropbox-like desktop sync client for the
+cloud file management Pydio. This is the Java Binary.
+
+Please note that the client is in an early state and not supported.
+Pydio itself needs to be configured by enabling `meta.filehasher`
+for a repository, which needs the PHP PECL module `rsync` (not available
+on SlackBuilds.org) which needs librsync.
diff --git a/network/pydio-sync/doinst.sh b/network/pydio-sync/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/network/pydio-sync/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/pydio-sync/pydio-sync.SlackBuild b/network/pydio-sync/pydio-sync.SlackBuild
new file mode 100644
index 0000000000..332d10bdd4
--- /dev/null
+++ b/network/pydio-sync/pydio-sync.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# SlackBuild script for "pydio-sync".
+
+# Copyright 2013-2014 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pydio-sync
+VERSION=${VERSION:-0.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=pydio_sync
+
+case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SRCARCH="x86"
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCARCH=$ARCH
+else
+ echo "Only x86 & x86_64 is supported. Exit."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION-SNAPSHOT-linux_$SRCARCH
+unzip $CWD/$SRCNAM-$VERSION-SNAPSHOT-linux_$SRCARCH.zip
+cd $SRCNAM-$VERSION-SNAPSHOT-linux_$SRCARCH
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION \
+$PKG/usr/share/applications $PKG/usr/share/pixmaps
+
+cp -R . $PKG/opt/$PRGNAM
+chmod 755 $PKG/opt/$PRGNAM/$PRGNAM-$VERSION-SNAPSHOT.jar
+
+mkdir -p $PKG/usr/bin
+cat <<- EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+exec java -jar /opt/$PRGNAM/$PRGNAM-$VERSION-SNAPSHOT.jar
+EOF
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+install -D -m 644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+install -D -m 644 $CWD/${PRGNAM}_32x32.png $PKG/usr/share/pixmaps
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pydio-sync/pydio-sync.desktop b/network/pydio-sync/pydio-sync.desktop
new file mode 100644
index 0000000000..ecb087ff6a
--- /dev/null
+++ b/network/pydio-sync/pydio-sync.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Pydio Sync
+Comment=Pydio Sync Client
+TryExec=pydio-sync
+Exec=pydio-sync
+StartupNotify=true
+Terminal=false
+Type=Application
+Icon=/usr/share/pixmaps/pydio-sync_32x32.png
+Categories=Network;
diff --git a/network/pydio-sync/pydio-sync.info b/network/pydio-sync/pydio-sync.info
new file mode 100644
index 0000000000..ad28fb8f64
--- /dev/null
+++ b/network/pydio-sync/pydio-sync.info
@@ -0,0 +1,10 @@
+PRGNAM="pydio-sync"
+VERSION="0.8.4"
+HOMEPAGE="http://ajaxplorer.info/"
+DOWNLOAD="http://dl.ajaxplorer.info/nightly/sync/0.8.4-SNAPSHOT/pydio_sync-0.8.4-SNAPSHOT-linux_x86.zip"
+MD5SUM="c63798ee2ab45894ffb9c748f7da1b68"
+DOWNLOAD_x86_64="http://dl.ajaxplorer.info/nightly/sync/0.8.4-SNAPSHOT/pydio_sync-0.8.4-SNAPSHOT-linux_x86_64.zip"
+MD5SUM_x86_64="e5a94dd2214e922297e62c63e371f779"
+REQUIRES="jdk"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/network/pydio-sync/pydio-sync_32x32.png b/network/pydio-sync/pydio-sync_32x32.png
new file mode 100644
index 0000000000..cc66b5949d
--- /dev/null
+++ b/network/pydio-sync/pydio-sync_32x32.png
Binary files differ
diff --git a/network/pydio-sync/slack-desc b/network/pydio-sync/slack-desc
new file mode 100644
index 0000000000..d82b8ad9a0
--- /dev/null
+++ b/network/pydio-sync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pydio-sync: Pydio Sync (desktop sync client for Pydio)
+pydio-sync:
+pydio-sync: Pydio Sync is a Dropbox-like desktop sync client for the
+pydio-sync: cloud file management Pydio.
+pydio-sync:
+pydio-sync: Homepage: http://pyd.io/
+pydio-sync:
+pydio-sync:
+pydio-sync:
+pydio-sync:
+pydio-sync: